%define _prefix /usr
%define svn	beta5



Summary: The Open Vulnerability Assessment (OpenVAS) Administrator
Name:    openvas-administrator
Version: 0.8.0
Release: 1%{?dist}.art
#Source0: %{name}-%{version}-%{svn}.tar.gz
Source0: %{name}-%{version}.tar.gz
#Patch0: glib2-fix.patch
Patch0: test.patch
License: GNU GPLv2
URL: http://www.openvas.org
Group: Productivity/Networking/Security
Vendor: OpenVAS Development Team, http://www.openvas.org
Packager: Scott R. Shinn <scott@atomicrocketturtle.com>
BuildRoot: %{_builddir}/%{name}-root
Prefix: %{_prefix}
AutoReqProv: no
AutoReq: 0

BuildRequires: cmake
BuildRequires: openvas-libraries, openvas-libraries-devel
BuildRequires: e2fsprogs-devel, sqlite-devel, doxygen

%if 0%{!?el4}
BuildRequires: e2fsprogs-libs
%endif

%if 0%{?fc12}
BuildRequires: libuuid-devel
%endif

%if 0%{?el4}
BuildRequires:  evolution28-glib2-devel evolution28-glib2
Requires: evolution28-glib2
%else
BuildRequires: glib2 >= 2.6.0, glib2-devel >= 2.6.0
%endif


Requires: openvas-libraries, texlive-latex


%if 0%{?el4}0%{?el5}
BuildRequires: compat-gnutls2, compat-gnutls2-devel
Requires: compat-gnutls2
Requires: tetex-latex
%else
BuildRequires: libpcap-devel gnutls-devel
Requires: texlive-latex
%endif
BuildRequires: libgcrypt-devel gpgme gpgme-devel
 
%description
This is the administrator module for the Open Vulnerability Assessment
System (OpenVAS). It is intended to simplify the configuration and
administration of an OpenVAS server both on a local installation as well as on a
remote system.



%prep
#%setup -b 0 -n %{name}-%{version}-%{svn}
%setup -b 0 -n %{name}-%{version}
%if 0%{?el4}%{?el5}
%patch0 -p1 
%endif

%build

%if 0%{?el4}
  export LDFLAGS="-L/usr/gnutls2/lib -L/lib -L/usr/evolution28/lib/ -L/usr/evolution28/lib64/"
  export CFLAGS="-I/usr/gnutls2/include -L/usr/gnutls2/lib"
  export GNUTLS_LIBS=/usr/gnutls2/lib
  export PKG_CONFIG_PATH=/usr/gnutls2/lib/pkgconfig/:/usr/evolution28/lib/pkgconfig:/usr/lib/pkgconfig/
  %ifarch x86_64
    export GLIB_LIBS=/usr/evolution28/lib64/libglib-2.0.so
    export PKG_CONFIG_PATH=/usr/evolution28/lib64/pkgconfig:/usr/lib64/pkgconfig/:/usr/gnutls2/lib/pkgconfig/
  %else
    export GLIB_LIBS=/usr/evolution28/lib/libglib-2.0.so
    export PKG_CONFIG_PATH=/usr/evolution28/lib/pkgconfig:/usr/lib/pkgconfig/
  %endif
%endif

%if 0%{?el5}
  export LDFLAGS="-L/usr/gnutls2/lib -L/lib -L/usr/evolution28/lib/ -L/usr/evolution28/lib64/"
  export CFLAGS="-I/usr/gnutls2/include -L/usr/gnutls2/lib"
  export GNUTLS_LIBS=/usr/gnutls2/lib
  export PKG_CONFIG_PATH=/usr/gnutls2/lib/pkgconfig/
%endif

cmake -DCMAKE_INSTALL_PREFIX=/usr .

%if 0%{?el4}0%{?el5}
perl -p -i -e "s[^include= ][include= -I/usr/gnutls2/include -L/usr/gnutls2/lib ]" openvas.tmpl
%endif


%{__make}  %{?_smp_mflags}


%install

make install DESTDIR=%{buildroot}

# fixes
mv %{buildroot}/usr/etc %{buildroot}/



%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/etc/openvas/openvasad_log.conf
/usr/sbin/openvasad




%changelog
* Tue Apr 13 2010 Scott R. Shinn <scott@atomicorp.com> - 0.8.0
- initial build

